Package org.eclipse.cdt.core.dom.ast.cpp

## Interface ICPPNamespace

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IBinding`, `ICPPBinding`

All Known Subinterfaces:
  `ICPPNamespaceAlias`

    public interface ICPPNamespace
    extends ICPPBinding

This interface represents a C++ namespace

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`EMPTY_BINDING_ARRAY`

### Method Summary

All Methods Instance Methods Abstract Methods
`IBinding[]` `getMemberBindings()` Returns an array of the all the bindings declared in this namespace.
`ICPPNamespaceScope` `getNamespaceScope()` Returns the scope object associated with this namespace
`boolean` `isInline()` Returns whether this is an inline namespace.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.IBinding

`getLinkage, getName, getNameCharArray, getOwner, getScope`

### Methods inherited from interface org.eclipse.cdt.core.dom.ast.cpp.ICPPBinding

`getQualifiedName, getQualifiedNameCharArray, isGloballyQualified`

### Method Detail

#### getNamespaceScope

    ICPPNamespaceScope getNamespaceScope()

Returns the scope object associated with this namespace

#### getMemberBindings

    IBinding[] getMemberBindings()

Returns an array of the all the bindings declared in this namespace.

#### isInline

    boolean isInline()

Returns whether this is an inline namespace.

Since:
  5.3